Skip to content
This repository

Ruby bindings for the SQLite3 embedded database

Fetching latest commit…

Octocat-spinner-32-eaf2f5

Cannot retrieve the latest commit at this time

Octocat-spinner-32 doc
Octocat-spinner-32 ext
Octocat-spinner-32 lib
Octocat-spinner-32 test
Octocat-spinner-32 LICENSE
Octocat-spinner-32 README
Octocat-spinner-32 Rakefile
Octocat-spinner-32 setup.rb
Octocat-spinner-32 sqlite3-ruby-win32.gemspec
Octocat-spinner-32 sqlite3-ruby.gemspec
README
= SQLite3/Ruby Interface

This module allows Ruby programs to interface with the SQLite3
database engine (http://www.sqlite.org).  You must have the
SQLite engine installed in order to build this module.

Note that this module is NOT compatible with SQLite 2.x.


== Compilation and Installation

Simply do the following, after installing SQLite3:

  ruby setup.rb config
  ruby setup.rb setup
  ruby setup.rb install

Alternatively, you can download and install the RubyGem package for
SQLite3/Ruby (you must have RubyGems and SQLite3 installed, first):

  gem install --remote sqlite3-ruby


== Usage

For help figuring out the SQLite3/Ruby interface, check out the
FAQ[http://sqlite-ruby.rubyforge.org/sqlite3/faq.html]. It includes examples of
usage. If you have any questions that you feel should be address in the
FAQ, please send them to jamis_buck@byu.edu.


== Contact Information

The project page is http://rubyforge.org/projects/sqlite-ruby. There, you can find
links to mailing lists and forums that you can use to discuss this library. Additionally,
there are trackers for submitting bugs and feature requests. Feel free to use them!
Something went wrong with that request. Please try again.